com.opensymphony.xwork2

## Class XWorkConstants

- java.lang.Object
- - com.opensymphony.xwork2.XWorkConstants

- Deprecated.

      @Deprecated
      public final class XWorkConstants
      extends Object

  Constants used across framework

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static String` | `ADDITIONAL_ACCEPTED_PATTERNS` Deprecated.
    `static String` | `ADDITIONAL_EXCLUDED_PATTERNS` Deprecated.
    `static String` | `ALLOW_STATIC_METHOD_ACCESS` Deprecated.
    `static String` | `ARRAY_CONVERTER` Deprecated.
    `static String` | `COLLECTION_CONVERTER` Deprecated.
    `static String` | `DATE_CONVERTER` Deprecated.
    `static String` | `DEV_MODE` Deprecated.
    `static String` | `ENABLE_OGNL_EVAL_EXPRESSION` Deprecated.
    `static String` | `ENABLE_OGNL_EXPRESSION_CACHE` Deprecated.
    `static String` | `LOG_MISSING_PROPERTIES` Deprecated.
    `static String` | `NUMBER_CONVERTER` Deprecated.
    `static String` | `OGNL_EXCLUDED_CLASSES` Deprecated.
    `static String` | `OGNL_EXCLUDED_PACKAGE_NAME_PATTERNS` Deprecated.
    `static String` | `OGNL_EXCLUDED_PACKAGE_NAMES` Deprecated.
    `static String` | `OVERRIDE_ACCEPTED_PATTERNS` Deprecated.
    `static String` | `OVERRIDE_EXCLUDED_PATTERNS` Deprecated.
    `static String` | `RELOAD_XML_CONFIGURATION` Deprecated.
    `static String` | `STRING_CONVERTER` Deprecated.
    `static String` | `XWORK_LOGGER_FACTORY` Deprecated.

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `XWorkConstants()` Deprecated.

  - ### Method Summary

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### COLLECTION_CONVERTER

          @Deprecated
          public static final String COLLECTION_CONVERTER

      Deprecated.
      See Also:
        Constant Field Values

    - #### DATE_CONVERTER

          @Deprecated
          public static final String DATE_CONVERTER

      Deprecated.
      See Also:
        Constant Field Values

    - #### NUMBER_CONVERTER

          @Deprecated
          public static final String NUMBER_CONVERTER

      Deprecated.
      See Also:
        Constant Field Values

    - #### STRING_CONVERTER

          @Deprecated
          public static final String STRING_CONVERTER

      Deprecated.
      See Also:
        Constant Field Values

    - #### ARRAY_CONVERTER

          @Deprecated
          public static final String ARRAY_CONVERTER

      Deprecated.
      See Also:
        Constant Field Values

    - #### DEV_MODE

          @Deprecated
          public static final String DEV_MODE

      Deprecated.
      See Also:
        Constant Field Values

    - #### LOG_MISSING_PROPERTIES

          @Deprecated
          public static final String LOG_MISSING_PROPERTIES

      Deprecated.
      See Also:
        Constant Field Values

    - #### ENABLE_OGNL_EXPRESSION_CACHE

          @Deprecated
          public static final String ENABLE_OGNL_EXPRESSION_CACHE

      Deprecated.
      See Also:
        Constant Field Values

    - #### ENABLE_OGNL_EVAL_EXPRESSION

          @Deprecated
          public static final String ENABLE_OGNL_EVAL_EXPRESSION

      Deprecated.
      See Also:
        Constant Field Values

    - #### RELOAD_XML_CONFIGURATION

          @Deprecated
          public static final String RELOAD_XML_CONFIGURATION

      Deprecated.
      See Also:
        Constant Field Values

    - #### ALLOW_STATIC_METHOD_ACCESS

          @Deprecated
          public static final String ALLOW_STATIC_METHOD_ACCESS

      Deprecated.
      See Also:
        Constant Field Values

    - #### XWORK_LOGGER_FACTORY

          @Deprecated
          public static final String XWORK_LOGGER_FACTORY

      Deprecated.
      See Also:
        Constant Field Values

    - #### OGNL_EXCLUDED_CLASSES

          @Deprecated
          public static final String OGNL_EXCLUDED_CLASSES

      Deprecated.
      See Also:
        Constant Field Values

    - #### OGNL_EXCLUDED_PACKAGE_NAME_PATTERNS

          @Deprecated
          public static final String OGNL_EXCLUDED_PACKAGE_NAME_PATTERNS

      Deprecated.
      See Also:
        Constant Field Values

    - #### OGNL_EXCLUDED_PACKAGE_NAMES

          @Deprecated
          public static final String OGNL_EXCLUDED_PACKAGE_NAMES

      Deprecated.
      See Also:
        Constant Field Values

    - #### ADDITIONAL_EXCLUDED_PATTERNS

          @Deprecated
          public static final String ADDITIONAL_EXCLUDED_PATTERNS

      Deprecated.
      See Also:
        Constant Field Values

    - #### ADDITIONAL_ACCEPTED_PATTERNS

          @Deprecated
          public static final String ADDITIONAL_ACCEPTED_PATTERNS

      Deprecated.
      See Also:
        Constant Field Values

    - #### OVERRIDE_EXCLUDED_PATTERNS

          @Deprecated
          public static final String OVERRIDE_EXCLUDED_PATTERNS

      Deprecated.
      See Also:
        Constant Field Values

    - #### OVERRIDE_ACCEPTED_PATTERNS

          @Deprecated
          public static final String OVERRIDE_ACCEPTED_PATTERNS

      Deprecated.
      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### XWorkConstants

          public XWorkConstants()

      Deprecated.

Copyright © 2000–2019 Apache Software Foundation. All rights reserved.